org.springframework.jndi

## Interface JndiCallback<T>

-     public interface JndiCallback<T>

  Callback interface to be implemented by classes that need to perform an operation (such as a lookup) in a JNDI context. This callback approach is valuable in simplifying error handling, which is performed by the JndiTemplate class. This is a similar to JdbcTemplate's approach.

  Note that there is hardly any need to implement this callback interface, as JndiTemplate provides all usual JNDI operations via convenience methods.

  Author:
    Rod Johnson
  See Also:
    `JndiTemplate`, `JdbcTemplate`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `doInContext(Context ctx)` Do something with the given JNDI context.

- - ### Method Detail

    - #### doInContext

          T doInContext(Context ctx)
                        throws NamingException

      Do something with the given JNDI context.

      Implementations don't need to worry about error handling or cleanup, as the JndiTemplate class will handle this.

      Parameters:
        `ctx` - the current JNDI context
      Returns:
        a result object, or `null`
      Throws:
        `NamingException` - if thrown by JNDI methods